org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerRequest
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

All Implemented Interfaces:
  JdbcRawBinarylizable

Direct Known Subclasses:
  JdbcQueryCloseRequest, JdbcQueryExecuteRequest, JdbcQueryFetchRequest, JdbcQueryMetadataRequest

    public class JdbcRequest
    extends SqlListenerRequest
    implements JdbcRawBinarylizable

SQL listener command request.

### Field Summary

Fields
`static byte` `QRY_CLOSE` Close query.
`static byte` `QRY_EXEC` Execute sql query.
`static byte` `QRY_FETCH` Fetch query results.
`static byte` `QRY_META` Get columns meta query.

### Fields inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`JdbcRequest(byte type)`

### Method Summary

Methods
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`static JdbcRequest` `readRequest(BinaryReaderExImpl reader)`
`byte` `type()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerRequest

`requestId, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QRY_EXEC

    public static final byte QRY_EXEC

Execute sql query.

See Also:
  Constant Field Values

#### QRY_FETCH

    public static final byte QRY_FETCH

Fetch query results.

See Also:
  Constant Field Values

#### QRY_CLOSE

    public static final byte QRY_CLOSE

Close query.

See Also:
  Constant Field Values

#### QRY_META

    public static final byte QRY_META

Get columns meta query.

See Also:
  Constant Field Values

### Constructor Detail

#### JdbcRequest

    public JdbcRequest(byte type)

Parameters:
  `type` - Command type.

### Method Detail

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### type

    public byte type()

Returns:
  Request type.

#### readRequest

    public static JdbcRequest readRequest(BinaryReaderExImpl reader)
                                   throws BinaryObjectException

Parameters:
  `reader` - Binary reader.
Returns:
  Request object.
Throws:
  `BinaryObjectException` - On error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017